Smart Proxy - Bug #1929

All files created with world-writable permissions

11/07/2012 10:16 AM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: Packaging

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The proxy daemon runs with a umask of 0:

(gdb) call umask (0)
$1 =0

The files and directories it creates all have world-writable bits set, which is dangerous:

-rw-rw-rw—. 1 foreman-proxy foreman-proxy 104 Nov 7 14:51 /var/log/foreman-proxy/access.log
drwxrwxrwx. 2 foreman-proxy foreman-proxy 4096 Oct 28 22:07 /var/lib/tftpboot/boot
—-rw-rw-rw—. 1 foreman-proxy foreman-proxy 24337760 May 22 20:55 /var/lib/tftpboot/boot/Fedora-17-x

86_64-initrd.img

-rw-rw-rw—. 1 foreman-proxy foreman-proxy 4662160 May 7 2012 /var/lib/tftpboot/boot/Fedora-17-x

86_64-vmlinuz

drwxrwxrwx. 2 foreman-proxy foreman-proxy 4096 Oct 28 22:34 /var/lib/tftpboot/pxelinux.cfg
-rw-rw-rw—. 1 foreman-proxy foreman-proxy 161 Oct 28 21:19 /var/lib/tftpboot/pxelinux.cfg/def
ault

Associated revisions

Revision 6093c50d - 11/07/2012 02:42 PM - Dominic Cleal
fixes #1929 - set umask sensibly to prevent world writable files (CVE-2012-5477)

History

#1 - 11/07/2012 02:44 PM - Ohad Levy

- Target version set to 1.1

#2 - 11/07/2012 02:45 PM - Dominic Cleal
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 6093c50d15abc0e8e302d9f1 cfefcec046cb62f9.
